%define name cherrytree
%define version 0.37.1
%define release %mkrel 1

Summary:   CherryTree - note taking application
Summary(de): CherryTree - Notizen Anwendung
Name:	   %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:	   Office
URL:	   http://open.vitaminap.it/en/cherrytree.htm
Source0:   %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires:  python 
Requires:  pygtk2.0
Requires:  p7zip
Requires:  gnome-python
Requires:  python-gtksourceview
Requires:  python-dbus
Requires:  python-enchant
Obsoletes: %name < %version

%description
A hierarchical note taking application, featuring rich text and syntax highlighting.
Features:
- rich text (foreground color, background color and bold)
- syntax highlighting (only when the rich text is disabled in the current node)
- find a node, find in current node, find in all nodes
- replace in node names, replace in current node, replace in all nodes
- iteration of the latest find, iteration of the latest replace

#german
%description -l de
Eine hierarchischer Notizen-Anwendung, mit Rich-Text-und Syntax-Highlighting.
Features:
- Rich-Text (Vordergrundfarbe, Hintergrundfarbe und Fett-Schrift)
- Syntax-Highlighting (nur, wenn die Rich-Text Funktion in der aktuellen Notiz deaktiviert ist)
- Finden von Notizen, finden von aktuellen Notizen, finden von allen Notizen
- Ersetzen von Notiz-Namen, ersetzen in der aktuellen Notiz, ersetzen in allen Notizen
- Iteration der neuesten finden, Iteration der neuesten ersetzen 

%prep
%setup -q 


%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__install -m  755 linux/*.desktop %{buildroot}%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=CherryTree
Comment=Tree-way Notes Keeper
Exec=cherrytree %f
Icon=cherrytree
MimeType=text/cherrytree-ctd;
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;X-MandrivaLinux-Office-Accessories;
EOF

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -r %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg \
%{buildroot}/%{_datadir}/pixmaps

# fix permssions
chmod 644 %{buildroot}/%{_datadir}/pixmaps/%{name}.svg
chmod 644 %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
#remove
rm -f %{buildroot}/%{_datadir}/%{name}/glade/{*.desktop,README}
%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%{_datadir}/application-registry
%{_datadir}/mime-info
%{py_sitedir}/*.egg-info
%{_datadir}/mime/packages
%{_mandir}/man1/*.1.bz2
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Wed Jun 29 2016 bb <bb> 0.37.1-1pclos2016
- update

* Tue Mar 15 2016 bb <bb> 0.36.8-1pclos2016
- update

* Thu Jan 21 2016 bb <bb> 0.36.3-1pclos2016
- update

